.resource-object {
    width: 30em;
    float: left;
    margin: 1em;

    .resource-details {
        padding: 0.5em;

        .resource-description {
            height: 10em;

            .resource-picture {
                height: 10em;
                width: 10em;
                float: left;
            }
        }

        .small-resource-description {
            height: 5em;

            .resource-picture {
                height: 5em;
                width: 5em;
                float: left;
            }
        }
    }
}

tr.resource-planning-selected-request {
    td {
        background: $yellow-40;
    }
}

.resource-picture {
    height: 10em;
    width: 10em;
}


/* resource category selection */
.resource-category-select-icon-label > .resource-category-select-radio {
    visibility: hidden;
    position: absolute;
}

#layout-sidebar .room-search-tree-widget {
    max-height: unset !important;
}

ul.resource-tree {
    list-style-type: none;
    padding-left: 0;

    & > li {
        padding-left: 18px;
        text-indent: -19px;

        & > ul.resource-tree {
            padding-left: 3px;
        }
    }
}

.resource-tree {
    .selected-resource {
        background-color: $origin-base-color;
        color: $white;
        padding: 2px;
        width: calc(100% - 21px);
    }

    a {
        img:not(.resource-tree-node) {
            margin-left: 1px;
        }

        &.selected-resource {
            display: inline-block;
            padding-left: 18px;
            text-indent: -19px;

            img {
                margin-left: 4px;
            }
        }
    }

    img.resource-tree-node {
        padding-top: 2px;
        vertical-align: top;
    }
}

/* temporary permission list */

#resource-temporary-permissions {
    fieldset.bulk-datetime {
        display: none;
    }

    input.bulk-datetime-enable:checked ~ fieldset.bulk-datetime {
        display: block;
    }
}

/* desktop view */

@media all and (min-width: 800px) {
    form.resource-search {
        display: flex;
        flex-wrap: wrap;
    }

    fieldset.resource-search {
        flex-grow: 1;
    }
}

.resource-action-tile {
    margin-bottom: 1em;

    article {
        border: none;
    }
}

@media all and (min-width: 800px) {
    .overview-action-tile-container {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
    }

    .overview-action-tile {
        width: 20em;
        max-width: 45%;
        flex-grow: 1;
        margin-right: 10px;
        height: 9em;
    }
}

@media all and (max-width: 799px) {
    .overview-action-tile {
        width: 95%;
        margin-bottom: 1em;
    }
}

.room-search-form {
    ul.criteria-list {
        list-style: none;
        margin: 0;
        padding: 0;

        li {
            margin-bottom: 0.5em;

            img.remove-icon {
                margin-right: 5px;
            }

            .special-item-switch {
                vertical-align: text-bottom;
            }

            & > label {
                input, select {
                    width: calc(100% - 2em);
                    height: 30px;

                    &.has-date-picker {
                        width: calc(100% - 2em - 84px);
                    }

                    &[type=number], &[data-time=yes] {
                        width: 4em;
                    }

                    &[type=date] {
                        width: 10em;
                        max-width: 10em;
                    }
                }

                .select2-wrapper {
                    select, span.selection, span.select2 {
                        height: 30px;
                        width: calc(100% - 2em) !important;
                    }
                }
            }
        }
    }
}

.room-search-widget_criteria-list {
    list-style-type: none;
    padding-left: 0.5em;

    .item {
        margin-bottom: 0.75em;

        > label {
            display: inline-block;
            width: calc(100% - 2em);
        }

        > label.range-search-label {
            > .range-input-container {
                margin-left: 1em;

                > input[type="number"] {
                    max-width: 5em;
                }
            }
        }
    }
}


.room-clipboard-special-actions {
    margin-top: 0.25em;
    margin-left: 0.25em;
}

.room-clipboard-group-action {
    display: block;
    cursor: pointer;
}

.resource-request {
    .overlapping-requests {
        color: $yellow-60;
    }

    .overlapping-bookings {
        color: $red-60;
    }

    .resource-available {
        color: $green-60;
    }
}

.booking-view-button-container {
    width: 100%;
    text-align: center;
}

.create-booking-form {
    .fieldset-row {
        &.inner-row {
            padding-top: 0;
            display: flow-root;
        }

        .time-option-container {
            padding-top: 1ex;
        }

        fieldset {
            min-width: 340px;
            padding-top: 1ex;
        }

        #begin_date-weekdays,
        #end_date-weekdays {
            span, input {
                max-width: 7.7em;
            }
        }

        #RepeatIntervalSelectField-Daily, #RepeatIntervalSelectField-Weekly {
            margin-left: 2em;
            margin-top: 0.5em;
        }
    }

    .singledates {
        .booking-list-interval-date {
            &.not-taking-place {
                text-decoration: line-through;
                color: $light-gray-color;
            }

            margin-right: 1.2em;
        }
    }

    .booking-list-interval-actions {
        img {
            cursor: pointer;
        }
    }

    label.assigned-user-label div.assigned-user-search-wrapper {
        display: flex;
        flex-direction: row;

        .delete-assigned-user-icon {
            margin-top: 0.5em;
            margin-left: 0.5em;
        }
    }
}

@media screen and (min-width: 1024px) {
    /* individual booking plan print view */
    .sidebar .colour-selectors {
        display: flex;
        flex-direction: column;
        margin: 1em;
        text-align: center;

        .colour-selector {
            width: calc(100% - 1em);
            height: 4em;
            margin: 0.5em;

            input[type="color"] {
                display: none;
            }
        }

        .print-action {
            margin-top: 2em;
            width: 100%;
            height: 6em;
        }
    }
}

.dragged-colour {
    width: 10%;
    height: 10%;
}

@media screen {
    section.room-schedule {
        margin-bottom: 2em;
    }
}

@media print {
    section.room-schedule {
        width: 100%;
        height: 95%;
        page-break-after: always;
    }
}


/* Rules for the map keys on a booking plan page: */
.map-key-list {
    list-style-type: none;
    padding-left: 1em;
    padding-top: 1em;

    .map-key {
        white-space: nowrap;
        display: inline;
        margin-right: 2em;
        vertical-align: middle;

        span {
            width: 2em;
            display: inline-block;
            height: 1em;

        }
    }
}

article.room-list-item {
    header > nav.action-menu > a.action-menu-icon {
        border-right: none;
        margin-right: 0;
    }

    section > ul.property-list {
        list-style: none;
        padding-left: 0;
        flex-grow: 1;
    }
}

.fc-time, .fc-widget-header {
    background-color: $content-color-20;
}

.request-list {
    a.request-marking-icon {
        background-repeat: no-repeat;
        display: block;
        width: 16px;
        height: 16px;
        @include background-icon(radiobutton-unchecked);

        &[data-marked="1"] {
            @include background-icon(radiobutton-checked, status-red);
        }

        &[data-marked="2"] {
            @include background-icon(radiobutton-checked, status-yellow);
        }

        &[data-marked="3"] {
            @include background-icon(radiobutton-checked, status-green);
        }
    }
}

#booking-plan-jmpdate-button {
    width: 100px;
    height: 31.5px;
    margin: 0.5em 0.2em;
    padding: 0.4em;
}

#booking-plan-jmpdate {
    width: 100px;
    height: 19px;
    margin: 0.5em 0.2em;
    padding: 0.4em;
}

form#resolve-request, form#decline-request {
    dl {
        dt, dd {
            &:not(:last-child) {
                margin-bottom: 5px;
            }
        }
        dt {
            grid-column: 1;
        }

        dd {
            grid-column: 2;
        }

        margin: 0;
        display: grid;
        grid-template-columns: 40% auto;

    }
}

@media all and (min-width: 1600px) {
    form#resolve-request {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;

        article.assign-dates {
            div {
                overflow-x: auto;
                max-height: 250px;
            }
        }
        article.assign-dates, div[data-dialog-button] {
            header {
                margin: 0;
            }

            table {
                > tbody:last-of-type {
                    > tr:last-child {
                        > td {
                            border-bottom: none;
                        }
                    }
                }
                &.default {
                    > thead {
                        > tr {
                            > th {
                                &:first-child {
                                    z-index: 2;
                                    background-color: $content-color-20;
                                    min-width: 180px;
                                    left: 0;
                                }
                                position: sticky;
                                top: 0;
                                z-index: 1;
                                border-top: none;
                                border-bottom: none !important;
                                box-shadow: inset 0 1px 0 $brand-color-darker;
                            }
                        }
                    }
                    > tbody {
                        > tr {
                            > td {
                                &:first-child {
                                    position: sticky;
                                    left: 0;
                                    z-index: 1;
                                    background: $white;
                                }
                            }
                        }
                    }
                }
            }

            margin: 0;
            height: 100%;
            overflow-y: auto;
            width: 100%;
            padding: 0;
        }

        article {
            &.left-part, &.right-part {
                width: 40%;
                flex-grow: 1;
                margin-bottom: 10px;
            }

            &.right-part {
                padding-left: 1em;
            }

            section {
                padding-top: 0;
            }
        }
    }
}


@media all and (max-width: 1599px) {
    form#resolve-request article.right-part {
        padding-bottom: 10px;
    }
}